Package org.apache.aries.jax.rs.rest.management.schema

## Class BundleStartLevelSchema

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.startlevel.dto.BundleStartLevelDTO
    - - org.apache.aries.jax.rs.rest.management.schema.BundleStartLevelSchema

    public class BundleStartLevelSchema
    extends org.osgi.framework.startlevel.dto.BundleStartLevelDTO

### Field Summary

### Fields inherited from class org.osgi.framework.startlevel.dto.BundleStartLevelDTO

`activationPolicyUsed, bundle, persistentlyStarted, startLevel`

### Constructor Summary

Constructors
`BundleStartLevelSchema()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BundleStartLevelSchema` `build​(boolean activationPolicyUsed, long bundle, boolean persistentlyStarted, int startLevel)`
`static BundleStartLevelSchema` `build​(org.osgi.framework.startlevel.dto.BundleStartLevelDTO bundleStartLevelDTO)`

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BundleStartLevelSchema

    public BundleStartLevelSchema()

### Method Detail

#### build

    public static BundleStartLevelSchema build​(boolean activationPolicyUsed,
                                               long bundle,
                                               boolean persistentlyStarted,
                                               int startLevel)

#### build

    public static BundleStartLevelSchema build​(org.osgi.framework.startlevel.dto.BundleStartLevelDTO bundleStartLevelDTO)